Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class HrElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<HrElem>
                      sharin.doc.builder.xhtml1.HrElem

    public class HrElem

extends GenericCommonElem<HrElem>

Constructor Summary
`HrElem(Object... nodes)`

Method Summary
`HrElem` | `align(Object value)`
`HrElem` | `alignCenter()`
`HrElem` | `alignLeft()`
`HrElem` | `alignRight()`
`HrElem` | `noshade(boolean noshade)`
`HrElem` | `noshade(Object value)`
`HrElem` | `size(Object value)`
`HrElem` | `width(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HrElem

    public HrElem(Object... nodes)

Method Detail

### align

    public HrElem align(Object value)

### alignCenter

    public HrElem alignCenter()

### alignLeft

    public HrElem alignLeft()

### alignRight

    public HrElem alignRight()

### noshade

    public HrElem noshade(boolean noshade)

### noshade

    public HrElem noshade(Object value)

### size

    public HrElem size(Object value)

### width

    public HrElem width(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.